package infoh509.tp3.jdom;

import java.io.File;

import org.jdom.Document;
import org.jdom.Element;
import org.jdom.input.SAXBuilder;

public class JDomExample {
	public static void main(String[] args) {
		try {
			SAXBuilder b = new SAXBuilder();
			Document d = b.build(new File("data/orders.xml"));
			
			Element root = d.getRootElement();
			Element customers = root.getChild("Customers");

			for (Object customer: customers.getChildren()) {
				Element e = (Element)customer;
				
				System.out.println(e.getChildText("CompanyName"));
			}
		} 
		catch (Exception e) { 
			e.printStackTrace(); 
		}
	}
}
