package infoh509.tp3.jdom.ex1;

import java.io.File;

import org.jdom.Document;
import org.jdom.Element;
import org.jdom.input.SAXBuilder;
import org.jdom.output.XMLOutputter;

public class Exercice4 {	
	public static void main(String[] args) {
		try {
			SAXBuilder b = new SAXBuilder();
			Document d = b.build(new File("data/orders.xml"));

			for (Object grealorder: d.getRootElement().getChild("Orders").getContent(
					new CustomerOrdersFilter("GREAL"))) {
				Element e = (Element)grealorder;
				Element freight = e.getChild("ShipInfo").getChild("Freight");
				
				freight.setText("" +
						(Double.parseDouble(freight.getText()) * 1.5));
			}
			
			XMLOutputter outputter = new XMLOutputter();
			outputter.output(d,System.out);
		} 
		catch (Exception e) { 
			e.printStackTrace(); 
		}
	}
}
